Thread::join
Thread::start
Thread
PHP Manual

# Thread::kill

(PECL pthreads >= 2.0.0)

Thread::kill — Execution

### Description

public void Thread::kill ( void )

Forces the referenced Thread to terminate

Warning

The programmer should not ordinarily kill Threads by force

### Parameters

This function has no parameters.

### Return Values

A boolean indication of success

### Examples

Example #1 Kill the referenced Thread

`<?php
class T extends Thread {
public function run() {
$stdin = fopen("php://stdin", "r");
while(($line = fgets($stdin))) {
echo $line;
}
}
}
$t = new T();
$t->start();
var_dump($t->kill());
?>`

The above example will output:

    bool(true)

Thread::join
Thread::start
Thread
PHP Manual